gtkmm 4.15.0

Public Types | Public Member Functions | List of all members
Gdk::DmabufError Class Reference

`#include <gdkmm/dmabuftexture.h>`

Inheritance diagram for Gdk::DmabufError:
[legend]

## Public Types
enum | Code { NOT_AVAILABLE , UNSUPPORTED_FORMAT , CREATION_FAILED }
| Error enumeration for `Gdk::DmabufTexture`. More...

## Public Member Functions
| DmabufError (Code error_code, const Glib::ustring & error_message)
| DmabufError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gdk::DmabufError::Code

Error enumeration for `Gdk::DmabufTexture`.

Since gtkmm 4.14:

Enumerator
NOT_AVAILABLE | Dmabuf support is not available, because the OS is not Linux, or it was explicitly disabled at compile- or runtime.
UNSUPPORTED_FORMAT | The requested format is not supported.
CREATION_FAILED | GTK failed to create the resource for other reasons.

## Constructor & Destructor Documentation

## ◆ DmabufError() [1/2]

Gdk::DmabufError::DmabufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ DmabufError() [2/2]

Gdk::DmabufError::DmabufError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gdk::DmabufError::code | ( |  | ) | const